Establishes a new webhook subscription, configuring an HTTPS endpoint to receive notifications for specific event types.
bank_account_id and endpoint_url must have only one active subscription.CASHIN.PIX.QRCODES: Notifications for dynamically generated or paid PIX QR codes.CASHIN.DEPOSITS: Incoming transfers to the account, excluding payments via PIX QR codes.CASHOUT.PIX.TRANSFERS: Status updates for PIX transfers (key or bank_account) including requests, scheduling, execution, or failures.CASHOUT.PIX.REFUNDS: Status updates for PIX refunds, including requests, completion, or failures.CASHOUT.BOLETO.PAYMENTS: Lifecycle events for Boleto payments, covering requests, scheduling, completion, or failures.CASHOUT.PIX.QRCODE.PAYMENTS: Status updates for PIX QR code payments, covering requests, scheduling, completion, or failures.UUID of the service account (e.g., 550e8400-e29b-41d4-a716-446655440000)
Unix timestamp in milliseconds (e.g., 1704636800000). Must be within 5 minutes of server time.
Must be 'service-account' for service account authentication
EdDSA signature of the request in base64 format. Signs: uri:method:body:timestamp
Request body for creating a webhook subscription.
List of event types to subscribe to. Must contain between 1 and 6 event types.
Event type to subscribe to for webhook notifications.
Each webhook subscription can listen to multiple event types. Events are sent as HTTP POST requests to the registered endpoint URL.
CASHIN.PIX.QRCODES, CASHIN.DEPOSITS, CASHOUT.PIX.TRANSFERS, CASHOUT.PIX.REFUNDS, CASHOUT.BOLETO.PAYMENTS, CASHOUT.PIX.QRCODE.PAYMENTS ["CASHIN.PIX.QRCODES", "CASHIN.DEPOSITS"]HTTPS endpoint URL that will receive webhook event notifications. Must be a valid HTTPS URL with a maximum length of 2048 characters.
"https://empresa.com/empresa_webhook"